javax.management

## Class BadBinaryOpValueExpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.BadBinaryOpValueExpException

All Implemented Interfaces:
  Serializable

    public class BadBinaryOpValueExpException
    extends Exception

Thrown when an invalid expression is passed to a method for constructing a query. This exception is used internally by JMX during the evaluation of a query. User code does not usually see it.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadBinaryOpValueExpException(ValueExp exp)` Constructs a `BadBinaryOpValueExpException` with the specified `ValueExp`.

### Method Summary

Methods
`ValueExp` `getExp()` Returns the `ValueExp` that originated the exception.
`String` `toString()` Returns the string representing the object.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadBinaryOpValueExpException

    public BadBinaryOpValueExpException(ValueExp exp)

Constructs a `BadBinaryOpValueExpException` with the specified `ValueExp`.

Parameters:
  `exp` - the expression whose value was inappropriate.

### Method Detail

#### getExp

    public ValueExp getExp()

Returns the `ValueExp` that originated the exception.

Returns:
  the problematic `ValueExp`.

#### toString

    public String toString()

Returns the string representing the object.

Overrides:
  `toString` in class `Throwable`
Returns:
  a string representation of this throwable.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.